-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local Ipv4Interface = require 'mdb.bmc.kepler.Managers.EthernetInterfaces.Ipv4Interface'

local childs = {}
local Ipv4 = {childs = childs}

local Mdb = require 'mc.mdb'

local TIpv4 = Mdb.register_object('/bmc/kepler/Managers/:Id/EthernetInterfaces/Ipv4',
    {{name = 'Ipv4', interface = Ipv4Interface.Ipv4}})
Ipv4.Ipv4 = TIpv4

function TIpv4:ctor(Id)
    self.path = '/bmc/kepler/Managers/' .. Id .. '/EthernetInterfaces/Ipv4'
end

return Ipv4
